Configure error

Rene Kluwen rene.kluwen at chimit.nl
Thu Jun 24 23:28:45 CEST 2010


I get three related errors when compiling revision 4833 of gateway/trunk.

When starting: ./bootstrap

aclocal:configure.in:248: warning: macro `AM_ICONV' not found in library

After that, when running ./configure:

./configure: line 7123: AM_ICONV: command not found

Then, in line 78 of Makefile, I get:

LIBS=-lmysqlclient_r -lssl -lrt -lresolv -lnsl -lm  -lpthread -L/usr/lib
-lxml2 -lz -lm -L/usr/lib -lcrypto -lssl -rdynamic -L/usr/lib/mysql
-lmysqlclient_r -lz -lpthread -lcrypt -lnsl -lm -lpthread -L/usr/lib -lssl
-lcrypto @LIBICONV@

The @LIBICONV@ generates an error on make. If I remove it, it compiles
cleanly.

So do I need to install extra packages? Or is this a bug?

== Rene





More information about the devel mailing list